<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button> </ion-back-button>
    </ion-buttons>
    <ion-title>Shipment Detail</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content scrollY="true" padding>
  <ion-refresher #refresher slot="fixed" (ionRefresh)="doRefresh()">
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher>
  <ion-card *ngIf="element !== undefined">
    <ion-card-header>
      <ion-item
        class="item"
        *ngIf="element.events.length === 7"
        color="secondary"
        lines="none"
        text-center
      >
        <ion-card-title text-center>{{ element.name }} </ion-card-title>
        <ion-badge color="danger" slot="end">CLOSED</ion-badge>
      </ion-item>
      <ion-card-subtitle>ObjectId: {{ element.objectId }}</ion-card-subtitle>
      <ion-card-subtitle>ElementType: {{ element.doctype }}</ion-card-subtitle>
      <ion-card-subtitle>{{ element.description }}</ion-card-subtitle>
    </ion-card-header>
    <ion-card-content>
      <ion-grid>
        <ion-row>
          <ion-col size="12">
            <h3>Event History</h3>
          </ion-col>
        </ion-row>
        <ion-row *ngFor="let event of element.events; let i = index">
          <ion-col size="2" class="col-badge">
            <ion-badge>{{ i + 1 }}</ion-badge>
            <div *ngIf="i !== 6" class="vertical-line"></div>
          </ion-col>
          <ion-col size="10" class="col-details">
            <ion-text><b>Name: </b>{{ events[event.eventType].name }}</ion-text>
            <ion-text><b>TypeID: </b>{{ event.eventType }}</ion-text>
            <ion-text>
              <b>Timestamp: </b>{{ event.timeStamp | date: 'short' }}
            </ion-text>
            <ion-text> <b>Author: </b>{{ event.userId }}</ion-text>
            <ion-text
              class="pic"
              *ngIf="event.file"
              (click)="showPic(event.file)"
            >
              <b>File: </b>
              <ion-icon name="attach" size="large"> </ion-icon
            ></ion-text>
          </ion-col>
        </ion-row>
        <ion-row class="colored" *ngIf="element.events.length === 7">
          <ion-col>
            <div class="closed">
              <ion-text>
                ELEMENT HISTORY COMPLETE
              </ion-text>
            </div>
          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-card-content>
  </ion-card>
</ion-content>
